
<!-- Listes des commentaires Popup-->
<ng-template #contentComments let-modal>
    <div class="modal-header">
        <div>
            <button class="btn btn-primary" (click)="openFormModal(formContent)">Ajouter Commentaire</button>
        </div>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <div class="container mt-5">
            <div class="row d-flex justify-content-center">
                
                <div class="col-md-8" *ngFor="let comment of commentaires">
                    <div class="card p-3">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="user d-flex flex-row align-items-center"> <img src="https://www.pikpng.com/pngl/m/70-706939_headphones-clipart-word-work-center-call-center-agent.png" width="30" class="user-img rounded-circle mr-2"> <span><small class="font-weight-bold text-primary">{{comment.user.nom}} {{comment.user.prenom}}</small> <small class="font-weight-bold">{{comment.text}}</small></span> </div> <small>{{comment.dateCreation}}</small>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
  </ng-template>


<!-- Ajouter commentaire Popup -->
  <ng-template #formContent let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-form">Ajouter un commentaire</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <form [formGroup]="CommentForm" (ngSubmit)="addCommentaire()">
            <div class="form-group">
              <label for="text">Texte</label>
              <textarea type="text" formControlName="text"  class="form-control" id="text" name="text" placeholder="Entrez le texte de la commentaire..."></textarea>
            </div>
            <button type="submit" class="btn btn-success" (click)="modal.close()">Ajouter</button>
        </form>
    </div>
  </ng-template>


<!-- Ajouter Remarque Popup -->
<ng-template #RemarqueContent let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-form">Ajouter une Remarque</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <form [formGroup]="RemarqueForm" (ngSubmit)="addRemarque()">
            <div class="form-group">
              <label for="text">Texte</label>
              <textarea formControlName="text"  class="form-control" id="text" name="text" placeholder="Entrez le texte de la remarque..."></textarea>
            </div>
            <button type="submit" class="btn btn-success" (click)="modal.close()">Ajouter</button>
        </form>
    </div>
  </ng-template>








<div class="container p-30">
    <div class="row">
        <div class="col-md-12 main-datatable">
            <div class="card_body">
                <div class="row d-flex">
                    <div class="col-sm-4 createSegment"> 
                        <a [routerLink]="['/add-ticket' , idAbonnement]" class="btn dim_button create_new"><span class="glyphicon glyphicon-plus"><i class="fa fa-plus"></i></span>Ajouter une Ticket</a>
                        <a (click)="openRemarqueModal(RemarqueContent)" class="btn dim_button create_new"><span class="glyphicon glyphicon-plus"><i class="fa fa-plus"></i></span>Ajouter une Remarque</a>
                        <a [routerLink]="['/add-rec' , idAbonnement]" class="btn dim_button create_new"><span class="glyphicon glyphicon-plus"><i class="fa fa-plus"></i></span>Ajouter une Réclamation TT</a>
                    </div>
                
                <nav ngbNav #nav="ngbNav"  class="nav-tabs">



                <!-- Remarques -->
                    <ng-container ngbNavItem>
                        <a ngbNavLink>Remarques</a>
                        <ng-template ngbNavContent>
                            <div class="overflow-x">
                                <table  style="width:100%;" id="filtertable" class="table cust-datatable dataTable no-footer">
                                    <thead>
                                        <tr>
                                            <th style="min-width:300px;">Texte de Remarque</th>
                                            <th style="min-width:100px;">date de Création</th>
                                            <th style="min-width:80px;">Agent de Création</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let remarque of remarques">
                                            <td>{{remarque.text}}</td>
                                            <td>{{remarque.dateCreation}}</td>
                                            <td>{{remarque.user.nom}} {{remarque.user.prenom}}</td>
                                        </tr>
                                    </tbody>  
                                </table>
                                <div *ngIf="!remarques" class="alert alert-warning">
                                    <h2>Aucune Remarque Trouvée</h2>
                                </div>
                                </div>
                        </ng-template>
                    </ng-container>




 
                <!-- Tickets -->
                    <ng-container ngbNavItem>
                        <a ngbNavLink>Tickets</a>
                        <ng-template ngbNavContent>
                            <div class="overflow-x">
                                <table  style="width:100%;" id="filtertable" class="table cust-datatable dataTable no-footer">
                                    <thead>
                                        <tr>
                                            <th style="min-width:80px;">Statut Ticket</th>
                                            <th style="min-width:100px;">Sujet Ticket</th>
                                            <th style="min-width:80px;">Type Ticket</th>
                                            <th style="min-width:80px;">Severité</th>
                                            <th style="min-width:50px;">Date Résolution</th>
                                            <th style="min-width:150px;">Statut N2</th>
                                            <th style="min-width:100px;">Agent de Résolution</th>
                                            <th style="min-width:50px;">Agent de Création</th>
                                            <th style="min-width:30px;">Agent N2</th>
                                            <th  style="min-width:30px;">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let ticket of tickets">
                                            <td><span *ngIf="ticket.statut === 'créée'" class="mode mode_done">{{ticket.statut}}</span>
                                                <span *ngIf="ticket.statut === 'en cours'" class="mode mode_process">{{ticket.statut}}</span>
                                                <span *ngIf="ticket.statut === 'cloturée'" class="mode mode_off">{{ticket.statut}}</span>
                                                <span *ngIf="ticket.statut === 'résolu'" class="mode mode_on">{{ticket.statut}}</span>
                                            </td>
                                            <td>{{ticket.sujet}}</td>
                                            <td>{{ticket.type}}</td>
                                            <td>
                                                <span *ngIf="ticket.severite === 'severe'" class="mode mode_off">{{ticket.severite}}</span>
                                                <span *ngIf="ticket.severite === 'moyenne'" class="mode mode_process">{{ticket.severite}}</span>
                                                <span *ngIf="ticket.severite === 'faible'" class="mode mode_on">{{ticket.severite}}</span>
                                            </td>
                                            <td>{{ticket.dateResolution | date : 'medium'}}</td>
                                            <td><span *ngIf="ticket.statutN2 === 'non escaladée'" class="mode mode_off">{{ticket.statutN2}}</span>
                                                <span *ngIf="ticket.statutN2 === 'escaladée'" class="mode mode_done">{{ticket.statutN2}}</span></td>
                                            <td>{{ticket.agentResolution}}</td>
                                            <td>{{ticket.user.nom}}</td>
                                            <td>{{ticket.agentN2}}</td>
                                            <td> 
                                                <div class="btn-group" placement="top" ngbTooltip="Modifier Ticket">
                                                    <a class=" dropdown_icon" 
                                                    (click)="openUpdateTicket(ticket)">
                                                    <i class="fa fa-pencil-square-o"></i> </a>
                                                    
                                                </div>
                                                <div class="btn-group" placement="top" 
                                                ngbTooltip="Résoudre Ticket"
                                                >
                                                    <a class="dropdown_icon" 
                                                    (click)="resolutionTicket(ticket)"
                                                    *ngIf="ticket.statut !== 'résolu'"
                                                    >
                                                    <i class="fa fa-check"></i> </a>
                                                </div>
                                                <div 
                                                class="btn-group" placement="top" 
                                                ngbTooltip="Escalader Ticket"
                                                >
                                                    <a class="dropdown_icon" 
                                                    (click)="escaladerTicket(ticket)"
                                                    *ngIf="ticket.statutN2 !== 'escaladée'"
                                                    >
                                                    <i class='bx bxs-up-arrow-square'></i></a>
                                                </div>
                                                <div class="btn-group" placement="top" 
                                                ngbTooltip="Commentaires"
                                                >
                                                    <a class="dropdown_icon" 
                                                    (click)="open(contentComments , ticket)"
                                                    >
                                                    <i class='bx bx-comment-detail' ></i></a>
                                                </div>
                                                <div class="btn-group" placement="top" 
                                                ngbTooltip="Envoyer Mail TT"
                                                >
                                                    <a class="dropdown_icon" 
                                                    (click)="open(content , ticket)"
                                                    >
                                                    <i class='bx bx-mail-send'></i></a>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>  
                                </table>
                                <div *ngIf="!tickets" class="alert alert-warning">
                                    <h2>Aucune Ticket Trouvée</h2>
                                </div>
                                </div>
                            </ng-template>
                        </ng-container>



                <!-- Reclamations TT -->
                    <ng-container ngbNavItem>
                        <a ngbNavLink>Réclamations TT</a>
                        <ng-template ngbNavContent>
                            <div class="overflow-x">
                                <table  style="width:100%;" id="filtertable" class="table cust-datatable dataTable no-footer">
                                    <thead>
                                        <tr>
                                            <th style="min-width:100px;">Télephone ADSL</th>
                                            <th style="min-width:200px;">Objet</th>
                                            <th style="min-width:100px;">Date de Réclamation</th>
                                            <th style="min-width:100px;">Agent de Création</th>
                                            <th style="min-width:80px;">Etat</th>
                                            <th style="min-width:80px;">Date d'état</th>
                                            <th style="min-width:80px;">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let reclamation of reclamations">
                                            <td>{{reclamation.telADSL}}</td>
                                            <td>{{reclamation.objet}}</td>
                                            <td>{{reclamation.dateReclamation}}</td>
                                            <td>{{reclamation.user.nom}} {{reclamation.user.prenom}}</td>
                                            <td>{{reclamation.etat}}</td>
                                            <td>{{reclamation.dateEtat}}</td>
                                            <td> 
                                                <div class="btn-group" placement="top" ngbTooltip="Modifier Réclamation">
                                                    <a class=" dropdown_icon" 
                                                    (click)="openUpdateReclamation(reclamation)">
                                                    <i class="fa fa-pencil-square-o"></i> </a>
                                                    
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>  
                                </table>
                                <div *ngIf="!reclamations" class="alert alert-warning">
                                    <h2>Aucune Reclamation TT Trouvée</h2>
                                </div>
                                </div>
                        </ng-template>
                    </ng-container>





                </nav>

            <div [ngbNavOutlet]="nav" class="mt-2"></div>
            </div>
        </div>
    </div>
</div>